Bug 25632 - Update MARC21 frameworks to update Nr. 30 (May 2020)
Summary: Update MARC21 frameworks to update Nr. 30 (May 2020)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-31 23:25 UTC by Bernardo Gonzalez Kriegel
Modified: 2021-02-21 00:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020) (5.83 KB, patch)
2020-05-31 23:54 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25632: [19.11] Update MARC21 frameworks to update Nr. 30 (May 2020) (6.74 KB, patch)
2020-06-01 00:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25632: [19.11] Update MARC21 frameworks to update Nr. 30 (May 2020) (6.80 KB, patch)
2021-01-29 23:09 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020) (5.88 KB, patch)
2021-01-29 23:11 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020) (6.01 KB, patch)
2021-02-05 07:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-05-31 23:25:04 UTC
A few changes in bibliographic data format.
Comment 1 Bernardo Gonzalez Kriegel 2020-05-31 23:54:45 UTC
Created attachment 105448 [details] [review]
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020)

New
subfields 0 1 2 in 310 and 321

Changes
310 change to repeatable
883 renamed
883 a d q renamed

To test:
1) Remove bibliographic frameworks
2) Check mandatory bibliographic fw load without problem
misc/load_yaml.pl --load --file=installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml
3) Check new/renamed fields/subfields
Comment 2 Bernardo Gonzalez Kriegel 2020-06-01 00:13:49 UTC
Created attachment 105449 [details] [review]
Bug 25632: [19.11] Update MARC21 frameworks to update Nr. 30 (May 2020)

For version <= 19.11

New
subfields 0 1 2 in 310 and 321

Changes
310 change to repeatable
883 renamed
883 a d q renamed

To test:
1) Remove bibliographic frameworks
2) Check mandatory bibliographic fw load without problem
3) Check new/renamed fields/subfields
Comment 3 Michal Denar 2020-08-15 20:53:15 UTC
Beranrdo, 
can you rebase this patch on top of master?

Thank you.
Comment 4 Bernardo Gonzalez Kriegel 2020-08-19 10:54:13 UTC
(In reply to Michal Denar from comment #3)
> Beranrdo, 
> can you rebase this patch on top of master?
> 
> Thank you.

Hi Michal,
Which patch is giving you trouble?

Both applies for me, first on master, second over a 19.11.x branch.
Comment 5 Phil Ringnalda 2021-01-29 23:09:55 UTC
Created attachment 116083 [details] [review]
Bug 25632: [19.11] Update MARC21 frameworks to update Nr. 30 (May 2020)

For version <= 19.11

New
subfields 0 1 2 in 310 and 321

Changes
310 change to repeatable
883 renamed
883 a d q renamed

To test:
1) Remove bibliographic frameworks
2) Check mandatory bibliographic fw load without problem
3) Check new/renamed fields/subfields

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 6 Phil Ringnalda 2021-01-29 23:11:27 UTC
Created attachment 116084 [details] [review]
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020)

New
subfields 0 1 2 in 310 and 321

Changes
310 change to repeatable
883 renamed
883 a d q renamed

To test:
1) Remove bibliographic frameworks
2) Check mandatory bibliographic fw load without problem
misc/load_yaml.pl --load --file=installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml
3) Check new/renamed fields/subfields

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 7 Phil Ringnalda 2021-01-29 23:13:46 UTC
We really need a better system for doing these updates. For a start, please cc me on your bug for the December 2020 update.
Comment 8 Marcel de Rooy 2021-02-05 07:13:58 UTC
Created attachment 116354 [details] [review]
Bug 25632: Update MARC21 frameworks to update Nr. 30 (May 2020)

New
subfields 0 1 2 in 310 and 321

Changes
310 change to repeatable
883 renamed
883 a d q renamed

To test:
1) Remove bibliographic frameworks
2) Check mandatory bibliographic fw load without problem
misc/load_yaml.pl --load --file=installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml
3) Check new/renamed fields/subfields

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Jonathan Druart 2021-02-08 13:57:22 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-02-12 13:38:47 UTC
Pushed to 20.11.x for 20.11.03
Comment 11 Andrew Fuerste-Henry 2021-02-17 22:29:50 UTC
Pushed to 20.05.x for 20.05.09
Comment 12 Victor Grousset/tuxayo 2021-02-21 00:15:12 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.